Bug 485858 - ibus needs to require imsettings
Summary: ibus needs to require imsettings
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peng Huang
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 481098
TreeView+ depends on / blocked
 
Reported: 2009-02-17 03:29 UTC by Jens Petersen
Modified: 2009-02-17 04:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-17 04:32:25 UTC


Attachments (Terms of Use)

Description Jens Petersen 2009-02-17 03:29:53 UTC
Description of problem:
ibus does not require the imsettings package currently - it should.

Steps to Reproduce:
1. install Live image of rawhide.
2. login as liveuser in CJK locale
3. rpm -q imsettings
  
Actual results:
2. no ibus running
3. no imsettings installed

Expected results:
2. ibus to be running
3. imsettings needed for that

Comment 1 Peng Huang 2009-02-17 03:49:30 UTC
Should I add im-chooser or imsettings as a require?

Comment 2 Jens Petersen 2009-02-17 03:58:22 UTC
You're right probably im-chooser (or both, Tagoh-san?) is better.

im-chooser requires imsettings anyway I think, though currently scim requires both but that is probably overkill?

Comment 3 Peng Huang 2009-02-17 04:32:25 UTC
I added im-chooser in spec file. Fixed in ibus-1_1_0_20090211-9_fc11.


Note You need to log in before you can comment on or make changes to this bug.